get_message_file
To get a photo from a driver message, use the messages/get_message_file method.
Endpoint
svc=messages/get_message_file¶ms={"itemId":<uint>,
"fileId":"<text>"}
/*Alternative request form:*/
svc=messages/get_message_file¶ms={"msgIndex":<uint>,
"fileName":"<text>"}
Parameters
The required parameters are marked with an asterisk (*).
| Parameter | Description |
|---|---|
itemId* |
Driver ID. |
fileId* |
Image file ID. |
Alternative request parameters
| Parameter | Description |
|---|---|
msgIndex* |
Message index. |
fileName* |
File name. |
The
fileIdparameter is returned in the message JSON.
Response
Returns an image.
Error codes
| Error code | Description |
|---|---|
| 7 | The unit doesn’t exist, or the user doesn’t have the Request reports and messages access right to it. |
| 4 | Incorrect parameters, or file not found, or failed to fetch messages. |